[arch-commits] Commit in recode/repos (4 files)
Eric BĂ©langer
eric at archlinux.org
Fri Apr 17 18:22:55 UTC 2009
Date: Friday, April 17, 2009 @ 14:22:55
Author: eric
Revision: 35837
Fixed svn conflict
Added:
recode/repos/extra-i686/recode-3.6-gcc43.patch
(from rev 35834, recode/trunk/recode-3.6-gcc43.patch)
recode/repos/extra-i686/recode.install
(from rev 35834, recode/trunk/recode.install)
Modified:
recode/repos/extra-i686/ (properties)
recode/repos/extra-i686/PKGBUILD
------------------------+
PKGBUILD | 24 +++++++++++++++---------
recode-3.6-gcc43.patch | 20 ++++++++++++++++++++
recode.install | 20 ++++++++++++++++++++
3 files changed, 55 insertions(+), 9 deletions(-)
Property changes on: recode/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
- /recode/trunk:1
+ /recode/trunk:1-35836
Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD 2009-04-17 18:13:45 UTC (rev 35836)
+++ extra-i686/PKGBUILD 2009-04-17 18:22:55 UTC (rev 35837)
@@ -1,20 +1,26 @@
# $Id$
-# Maintainer: eric <eric at archlinux.org>
# Contributor: Tom Newsom <Jeepster at gmx.co.uk>
pkgname=recode
pkgver=3.6
-pkgrel=2
+pkgrel=3
pkgdesc="Converts files between various character sets and usages"
-depends=('glibc')
-source=(ftp://ftp.gnu.org/pub/gnu/$pkgname/$pkgname-$pkgver.tar.gz)
+arch=('i686' 'x86_64')
url="http://www.gnu.org/software/recode/recode.html"
-md5sums=('be3f40ad2e93dae5cd5f628264bf1877')
+license=('GPL' 'LGPL')
+depends=('glibc' 'texinfo')
+options=('!libtool')
+install=recode.install
+source=(ftp://ftp.gnu.org/pub/gnu/$pkgname/$pkgname-$pkgver.tar.gz recode-3.6-gcc43.patch)
+md5sums=('be3f40ad2e93dae5cd5f628264bf1877' '47b62d7031d208180552174f9e223e9d')
build() {
- cd $startdir/src/$pkgname-$pkgver
- ./configure --prefix=/usr
+ cd $srcdir/$pkgname-$pkgver
+ patch -p0 < ../recode-3.6-gcc43.patch || return 1
+ ./configure --prefix=/usr --mandir=/usr/share/man \
+ --infodir=/usr/share/info --host=i686-pc-linux-gnu || return 1
make || return 1
- make prefix=$startdir/pkg/usr install
- find $startdir/pkg -name '*.la' -exec rm {} \;
+ make DESTDIR=$pkgdir install || return 1
+ rm ${pkgdir}/usr/share/info/dir
+ gzip ${pkgdir}/usr/share/info/*
}
Copied: recode/repos/extra-i686/recode-3.6-gcc43.patch (from rev 35834, recode/trunk/recode-3.6-gcc43.patch)
===================================================================
--- extra-i686/recode-3.6-gcc43.patch (rev 0)
+++ extra-i686/recode-3.6-gcc43.patch 2009-04-17 18:22:55 UTC (rev 35837)
@@ -0,0 +1,20 @@
+http://bugs.gentoo.org/209036
+
+fix building with gcc-4.3
+
+--- src/recodext.h 2008-04-03 18:35:42 +0000
++++ src/recodext.h 2008-04-03 18:36:32 +0000
+@@ -215,10 +215,10 @@
+ struct recode_single *unsurfacer;
+
+ /* Non zero if this is an acceptable charset (not only a surface). */
+- enum recode_symbol_type type : 3;
++ enum recode_symbol_type type : 2;
+
+ /* Non zero if this one should be ignored. */
+- bool ignore : 2;
++ bool ignore : 1;
+ };
+
+ struct recode_surface_list
+
Copied: recode/repos/extra-i686/recode.install (from rev 35834, recode/trunk/recode.install)
===================================================================
--- extra-i686/recode.install (rev 0)
+++ extra-i686/recode.install 2009-04-17 18:22:55 UTC (rev 35837)
@@ -0,0 +1,20 @@
+infodir=/usr/share/info
+filelist=(recode.info-5.gz recode.info-3.gz recode.info-7.gz recode.info-6.gz recode.info-2.gz recode.info-4.gz recode.info.gz recode.info-1.gz)
+
+post_install() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ install-info $infodir/$file $infodir/dir 2> /dev/null
+ done
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+ done
+}
More information about the arch-commits
mailing list